For the complete documentation index, see llms.txt. This page is also available as Markdown.

Publish item

post
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstringOptional
quantityNotApplicablebooleanOptional
statusstringOptional
post/public/v1/catalog/items/{id}/publish
POST /public/v1/catalog/items/{id}/publish HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "pending": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "published": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "unpublished": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "description": "text",
  "externalIds": {
    "vendor": "text",
    "operations": "text"
  },
  "group": {
    "id": "text",
    "name": "text",
    "revision": 1
  },
  "unit": {
    "id": "text",
    "name": "text",
    "revision": 1,
    "description": "text"
  },
  "terms": {
    "model": "one-time",
    "period": "1m",
    "commitment": "1m"
  },
  "quantityNotApplicable": true,
  "status": "text",
  "product": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "externalIds": {
      "operations": "text",
      "defaultErpItem": "text"
    },
    "status": "text"
  },
  "parameters": [
    {
      "id": "text",
      "externalId": "text",
      "type": "text",
      "multiple": true,
      "name": "text",
      "value": null,
      "displayValue": "text"
    }
  ]
}

Last updated

Was this helpful?